pyFAI.gui.widgets package
=========================

pyFAI.gui.widgets.AdvancedComboBox module
-----------------------------------------

.. automodule:: pyFAI.gui.widgets.AdvancedComboBox
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.AdvancedSpinBox module
----------------------------------------

.. automodule:: pyFAI.gui.widgets.AdvancedSpinBox
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.CalibrantPreview module
-----------------------------------------

.. automodule:: pyFAI.gui.widgets.CalibrantPreview
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.CalibrantSelector module
------------------------------------------

.. automodule:: pyFAI.gui.widgets.CalibrantSelector
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.ChoiceToolButton module
-----------------------------------------

.. automodule:: pyFAI.gui.widgets.ChoiceToolButton
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.ColoredCheckBox module
----------------------------------------

.. automodule:: pyFAI.gui.widgets.ColoredCheckBox
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.DetectorLabel module
--------------------------------------

.. automodule:: pyFAI.gui.widgets.DetectorLabel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.DetectorModel module
--------------------------------------

.. automodule:: pyFAI.gui.widgets.DetectorModel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.DetectorSelector module
-----------------------------------------

.. automodule:: pyFAI.gui.widgets.DetectorSelector
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.ElidedLabel module
------------------------------------

.. automodule:: pyFAI.gui.widgets.ElidedLabel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.FileEdit module
---------------------------------

.. automodule:: pyFAI.gui.widgets.FileEdit
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.FitParamView module
-------------------------------------

.. automodule:: pyFAI.gui.widgets.FitParamView
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.GeometryHistoryComboBox module
------------------------------------------------

.. automodule:: pyFAI.gui.widgets.GeometryHistoryComboBox
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.GeometryLabel module
--------------------------------------

.. automodule:: pyFAI.gui.widgets.GeometryLabel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.LoadImageToolButton module
--------------------------------------------

.. automodule:: pyFAI.gui.widgets.LoadImageToolButton
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.MethodLabel module
------------------------------------

.. automodule:: pyFAI.gui.widgets.MethodLabel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.MonitorNameEdit module
----------------------------------------

.. automodule:: pyFAI.gui.widgets.MonitorNameEdit
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.OpenClDeviceLabel module
------------------------------------------

.. automodule:: pyFAI.gui.widgets.OpenClDeviceLabel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.QuantityEdit module
-------------------------------------

.. automodule:: pyFAI.gui.widgets.QuantityEdit
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.QuantityLabel module
--------------------------------------

.. automodule:: pyFAI.gui.widgets.QuantityLabel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.UnitLabel module
----------------------------------

.. automodule:: pyFAI.gui.widgets.UnitLabel
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.UnitSelector module
-------------------------------------

.. automodule:: pyFAI.gui.widgets.UnitSelector
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.widgets.WorkerConfigurator module
-------------------------------------------

.. automodule:: pyFAI.gui.widgets.WorkerConfigurator
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: pyFAI.gui.widgets
    :members:
    :undoc-members:
    :show-inheritance:
